Bug 247341 - Default TCP/IPV4 congestion control should be CUBIC
Summary: Default TCP/IPV4 congestion control should be CUBIC
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-07 10:19 UTC by acount closed by user
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 13:21:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description acount closed by user 2007-07-07 10:19:06 UTC
NO cubic, highspeed, htcp, hybla, illinois, scalable, vegas, veno, westwood or
yeah. Only reno and bic !!

querida:~ # head /proc/sys/net/ipv4/*_congestion_control

==> tcp_allowed_congestion_control <==
bic reno

==> tcp_available_congestion_control <==
bic reno

==> tcp_congestion_control <==
bic

and please make cubic default. It was changed in 2.6.19, so it must be safe.

-thanks-

Comment 1 acount closed by user 2007-07-07 10:36:47 UTC
sorry,

they were built as modules, only two missing: illinois and yeah.

Comment 2 Chuck Ebbert 2007-07-09 15:52:15 UTC
We build all of the modules that are available in linux 2.6.21. Illinois and
yeah are 2.6.22 only.

The default has now been changed to cubic in rawhide, we will probably change it
in F7 and FC6 as well.


Comment 3 Chuck Ebbert 2007-07-09 16:10:04 UTC
Changed Fedora 7 to cubic, will be in next release after 1.3255.fc7.


Note You need to log in before you can comment on or make changes to this bug.